from PyQt5.QtWidgets import *
from PyQt5.QtCore import *
from PyQt5 import uic
import sys

form_class = uic.loadUiType("calendar.ui")[0]

class WindowClass(QMainWindow, form_class) :
    def __init__(self) :
        super().__init__()
        self.setupUi(self)

        #QCalendarWidget의 시그널
        self.calendarWidget.clicked.connect(self.calendarClicked)
        self.calendarWidget.currentPageChanged.connect(self.calendarPageChanged)
        self.calendarWidget.selectionChanged.connect(self.calendarSelectionChanged)        

        #QCalendarWidget이 자동으로 오늘 날짜가 있는 달력을 보여주게 설정
        self.todayDate = QDate.currentDate()
        self.calendarWidget.setCurrentPage(self.todayDate.year(), self.todayDate.month())

        #버튼 vs 함수
        self.btn_prevMonth.clicked.connect(self.prevMonth)
        self.btn_nextMonth.clicked.connect(self.nextMonth)
        self.btn_today.clicked.connect(self.today)

    #CalendarWidget의 시그널에 연결된 함수들
    def calendarClicked(self) :
        print(self.calendarWidget.selectedDate())

    def calendarPageChanged(self) :
        self.year = str(self.calendarWidget.yearShown()) + "년"
        self.month = str(self.calendarWidget.monthShown()) + "월"
        self.lbl_currentPage.setText(self.year + " " + self.month)

    def calendarSelectionChanged(self) :
        self.selectedDateVar = self.calendarWidget.selectedDate()
        self.lbl_selectedDate.setText(self.selectedDateVar.toString())

    #버튼에 연결된 함수들
    def prevMonth(self) :
        self.calendarWidget.showPreviousMonth()

    def nextMonth(self) :
        self.calendarWidget.showNextMonth()

    def today(self) :
        self.calendarWidget.showToday()


if __name__ == "__main__" :
    app = QApplication(sys.argv)
    myWindow = WindowClass()
    myWindow.show()
    app.exec_() 